=== debian/changelog ===
lltdscan (0+20180223-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.
  * Bump debhelper version to 13.
  * d/copyright: bump years.

 -- Alex Myczko <tar@debian.org>  Sun, 16 Jun 2024 22:16:48 +0000

lltdscan (0+20180223-1) unstable; urgency=medium

  * Initial release. (Closes: #922374)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 23 Feb 2018 13:48:33 +0100
