=== debian/control ===
Source: lltdscan
Section: net
Priority: optional
Maintainer: Alex Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13), libnet1-dev, libpcap-dev
Standards-Version: 4.7.0
Homepage: http://zed.0xff.me/lltd

Package: lltdscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Scan for LLTD-enabled hosts on your network
 LLTD is a Link Layer Topology Discovery Protocol.
 protocol specs are available from Microsoft at 
 http://www.microsoft.com/whdc/connect/Rally/LLTD-spec.mspx
